org.apache.myfaces.trinidad.context

## Class ExternalContextDecorator

- java.lang.Object
- - javax.faces.context.ExternalContext
  - - org.apache.myfaces.trinidad.context.ExternalContextDecorator

-     public abstract class ExternalContextDecorator
      extends javax.faces.context.ExternalContext

  Base class for decorating ExternalContexts.

- - ### Field Summary

    - ### Fields inherited from class javax.faces.context.ExternalContext

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalContextDecorator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(String path)`
    `String` | `encodeActionURL(String url)`
    `String` | `encodeNamespace(String ns)`
    `String` | `encodeResourceURL(String url)`
    `Map` | `getApplicationMap()`
    `String` | `getAuthType()`
    `Object` | `getContext()`
    `protected abstract javax.faces.context.ExternalContext` | `getExternalContext()`
    `String` | `getInitParameter(String name)`
    `Map` | `getInitParameterMap()`
    `String` | `getRemoteUser()`
    `Object` | `getRequest()`
    `String` | `getRequestCharacterEncoding()`
    `String` | `getRequestContentType()`
    `String` | `getRequestContextPath()`
    `Map` | `getRequestCookieMap()`
    `Map` | `getRequestHeaderMap()`
    `Map` | `getRequestHeaderValuesMap()`
    `Locale` | `getRequestLocale()`
    `Iterator` | `getRequestLocales()`
    `Map` | `getRequestMap()`
    `Map` | `getRequestParameterMap()`
    `Iterator` | `getRequestParameterNames()`
    `Map` | `getRequestParameterValuesMap()`
    `String` | `getRequestPathInfo()`
    `String` | `getRequestServletPath()`
    `URL` | `getResource(String path)`
    `InputStream` | `getResourceAsStream(String path)`
    `Set` | `getResourcePaths(String path)`
    `Object` | `getResponse()`
    `String` | `getResponseCharacterEncoding()`
    `String` | `getResponseContentType()`
    `Object` | `getSession(boolean create)`
    `Map` | `getSessionMap()`
    `Principal` | `getUserPrincipal()`
    `boolean` | `isUserInRole(String role)`
    `void` | `log(String message)`
    `void` | `log(String message, Throwable t)`
    `void` | `redirect(String url)`
    `void` | `setRequest(Object request)`
    `void` | `setRequestCharacterEncoding(String encoding)`
    `void` | `setResponse(Object response)`
    `void` | `setResponseCharacterEncoding(String encoding)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalContextDecorator

          public ExternalContextDecorator()

  - ### Method Detail

    - #### dispatch

          public void dispatch(String path)
                        throws IOException

      Specified by:
        `dispatch` in class `javax.faces.context.ExternalContext`
      Throws:
        `IOException`

    - #### getContext

          public Object getContext()

      Specified by:
        `getContext` in class `javax.faces.context.ExternalContext`

    - #### getRequest

          public Object getRequest()

      Specified by:
        `getRequest` in class `javax.faces.context.ExternalContext`

    - #### getRequestCharacterEncoding

          public String getRequestCharacterEncoding()

      Overrides:
        `getRequestCharacterEncoding` in class `javax.faces.context.ExternalContext`

    - #### getRequestContentType

          public String getRequestContentType()

      Overrides:
        `getRequestContentType` in class `javax.faces.context.ExternalContext`

    - #### getResponse

          public Object getResponse()

      Specified by:
        `getResponse` in class `javax.faces.context.ExternalContext`

    - #### getResponseCharacterEncoding

          public String getResponseCharacterEncoding()

      Overrides:
        `getResponseCharacterEncoding` in class `javax.faces.context.ExternalContext`

    - #### getResponseContentType

          public String getResponseContentType()

      Overrides:
        `getResponseContentType` in class `javax.faces.context.ExternalContext`

    - #### getSession

          public Object getSession(boolean create)

      Specified by:
        `getSession` in class `javax.faces.context.ExternalContext`

    - #### getRequestContextPath

          public String getRequestContextPath()

      Specified by:
        `getRequestContextPath` in class `javax.faces.context.ExternalContext`

    - #### getRequestPathInfo

          public String getRequestPathInfo()

      Specified by:
        `getRequestPathInfo` in class `javax.faces.context.ExternalContext`

    - #### getRequestServletPath

          public String getRequestServletPath()

      Specified by:
        `getRequestServletPath` in class `javax.faces.context.ExternalContext`

    - #### getInitParameter

          public String getInitParameter(String name)

      Specified by:
        `getInitParameter` in class `javax.faces.context.ExternalContext`

    - #### encodeResourceURL

          public String encodeResourceURL(String url)

      Specified by:
        `encodeResourceURL` in class `javax.faces.context.ExternalContext`

    - #### encodeActionURL

          public String encodeActionURL(String url)

      Specified by:
        `encodeActionURL` in class `javax.faces.context.ExternalContext`

    - #### encodeNamespace

          public String encodeNamespace(String ns)

      Specified by:
        `encodeNamespace` in class `javax.faces.context.ExternalContext`

    - #### getAuthType

          public String getAuthType()

      Specified by:
        `getAuthType` in class `javax.faces.context.ExternalContext`

    - #### getRemoteUser

          public String getRemoteUser()

      Specified by:
        `getRemoteUser` in class `javax.faces.context.ExternalContext`

    - #### getUserPrincipal

          public Principal getUserPrincipal()

      Specified by:
        `getUserPrincipal` in class `javax.faces.context.ExternalContext`

    - #### isUserInRole

          public boolean isUserInRole(String role)

      Specified by:
        `isUserInRole` in class `javax.faces.context.ExternalContext`

    - #### getResource

          public URL getResource(String path)
                          throws MalformedURLException

      Specified by:
        `getResource` in class `javax.faces.context.ExternalContext`
      Throws:
        `MalformedURLException`

    - #### getResourceAsStream

          public InputStream getResourceAsStream(String path)

      Specified by:
        `getResourceAsStream` in class `javax.faces.context.ExternalContext`

    - #### getResourcePaths

          public Set getResourcePaths(String path)

      Specified by:
        `getResourcePaths` in class `javax.faces.context.ExternalContext`

    - #### getRequestParameterMap

          public Map getRequestParameterMap()

      Specified by:
        `getRequestParameterMap` in class `javax.faces.context.ExternalContext`

    - #### getRequestParameterValuesMap

          public Map getRequestParameterValuesMap()

      Specified by:
        `getRequestParameterValuesMap` in class `javax.faces.context.ExternalContext`

    - #### getRequestParameterNames

          public Iterator getRequestParameterNames()

      Specified by:
        `getRequestParameterNames` in class `javax.faces.context.ExternalContext`

    - #### getRequestCookieMap

          public Map getRequestCookieMap()

      Specified by:
        `getRequestCookieMap` in class `javax.faces.context.ExternalContext`

    - #### getRequestHeaderMap

          public Map getRequestHeaderMap()

      Specified by:
        `getRequestHeaderMap` in class `javax.faces.context.ExternalContext`

    - #### getRequestHeaderValuesMap

          public Map getRequestHeaderValuesMap()

      Specified by:
        `getRequestHeaderValuesMap` in class `javax.faces.context.ExternalContext`

    - #### getInitParameterMap

          public Map getInitParameterMap()

      Specified by:
        `getInitParameterMap` in class `javax.faces.context.ExternalContext`

    - #### getApplicationMap

          public Map getApplicationMap()

      Specified by:
        `getApplicationMap` in class `javax.faces.context.ExternalContext`

    - #### getSessionMap

          public Map getSessionMap()

      Specified by:
        `getSessionMap` in class `javax.faces.context.ExternalContext`

    - #### getRequestMap

          public Map getRequestMap()

      Specified by:
        `getRequestMap` in class `javax.faces.context.ExternalContext`

    - #### getRequestLocale

          public Locale getRequestLocale()

      Specified by:
        `getRequestLocale` in class `javax.faces.context.ExternalContext`

    - #### setRequest

          public void setRequest(Object request)

      Overrides:
        `setRequest` in class `javax.faces.context.ExternalContext`

    - #### setRequestCharacterEncoding

          public void setRequestCharacterEncoding(String encoding)
                                           throws UnsupportedEncodingException

      Overrides:
        `setRequestCharacterEncoding` in class `javax.faces.context.ExternalContext`
      Throws:
        `UnsupportedEncodingException`

    - #### setResponse

          public void setResponse(Object response)

      Overrides:
        `setResponse` in class `javax.faces.context.ExternalContext`

    - #### setResponseCharacterEncoding

          public void setResponseCharacterEncoding(String encoding)

      Overrides:
        `setResponseCharacterEncoding` in class `javax.faces.context.ExternalContext`

    - #### getRequestLocales

          public Iterator getRequestLocales()

      Specified by:
        `getRequestLocales` in class `javax.faces.context.ExternalContext`

    - #### log

          public void log(String message)

      Specified by:
        `log` in class `javax.faces.context.ExternalContext`

    - #### log

          public void log(String message,
                 Throwable t)

      Specified by:
        `log` in class `javax.faces.context.ExternalContext`

    - #### redirect

          public void redirect(String url)
                        throws IOException

      Specified by:
        `redirect` in class `javax.faces.context.ExternalContext`
      Throws:
        `IOException`

    - #### getExternalContext

          protected abstract javax.faces.context.ExternalContext getExternalContext()

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.